# -*- ruby -*-
# This file is a part of test scripts of LDAP extension module.

$test = File.dirname($0)
require "#{$test}/conf"
require "./ldap"

conn = LDAP::Conn.new($HOST, $PORT)
conn.set_option(LDAP::LDAP_OPT_PROTOCOL_VERSION, 3)
conn.bind{|conn|
  conn.perror("bind")
  begin
    conn.compare("cn=Takaaki Tateishi, dc=localhost, dc=localdomain",
		 "cn", "Takaaki Tateishi")
  rescue LDAP::ResultError
    exit(0)
  end
  exit(1)
}
